Institutions
Institution
Retrieve detailed metadata for a single academic institution or research center by its HX_I identifier.
GET
/
institutions
/
{id}
curl -X GET "https://api.hexagraph.in/institutions/HX_I1299303238"
fetch("https://api.hexagraph.in/institutions/HX_I1299303238")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/institutions/HX_I1299303238")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/institutions/HX_I1299303238")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_I1299303238",
"ror": "https://ror.org/01cwqze88",
"name": "National Institutes of Health",
"country": {
"code": "US",
"name": "United States"
},
"type": "government",
"homepage_url": "https://www.nih.gov",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/NIH%202013%20logo%20vertical.svg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/NIH%202013%20logo%20vertical.svg&width=300",
"display_name_acronyms": [
"NIH"
],
"display_name_alternatives": [
"National Institutes of Health",
"US National Institutes of Health",
"United States National Institutes of Health"
],
"repositories": [
{
"id": "HX_S2764455111",
"name": "PubMed Central"
}
],
"outputs_count": 274453,
"cited_by_count": 70225412,
"summary_stats": {
"2yr_mean_citedness": 6.7651082522748665,
"h_index": 2424,
"i10_index": 530125
},
"associated_institutions": [
{
"id": "HX_I1299022934",
"name": "United States Department of Health and Human Services",
"relationship": "parent"
}
],
"counts_by_year": [
{
"year": 2026,
"outputs_count": 6111,
"oa_outputs_count": 5262,
"cited_by_count": 1401
},
{
"year": 2025,
"outputs_count": 6288,
"oa_outputs_count": 5230,
"cited_by_count": 25042
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320332161",
"outputs_count": 1793561
},
{
"role": "institution",
"id": "HX_I1299303238",
"outputs_count": 274453
}
],
"geo": {
"city": "Bethesda",
"geonames_city_id": "4348599",
"region": "Maryland",
"country_code": "US",
"country": "United States",
"latitude": 38.98067,
"longitude": -77.10026
},
"international": {},
"updated_date": "2026-08-05T05:59:45",
"created_date": "2016-06-24T00:00:00",
"ids": {
"grid": "grid.94365.3d",
"wikipedia": "http://en.wikipedia.org/wiki/National_Institutes_of_Health",
"wikidata": null
},
"topics": [
{
"id": "HX_T11020",
"name": "Immune Cell Function and Interaction",
"count": 9779,
"share": 0.0268975
},
{
"id": "HX_T10031",
"name": "T-cell and B-cell Immunology",
"count": 7710,
"share": 0.0267649
}
]
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Institution with ID HX_I9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Retrieves a single academic institution, university, research institute, hospital, or corporate R&D entity by its
HX_I identifier.
Path Parameters
string
required
Unique institution identifier (e.g.
HX_I109009565). Must be prefixed with HX_I.Response Fields
string
required
Unique institution identifier prefixed with
HX_I (e.g. HX_I1299303238).string
Research Organization Registry (ROR) URL.
string
required
Institution display name.
object
string
Institution classification (
government, education, facility, company, healthcare).string
Official institution website URL.
string
Image logo URL.
string
Thumbnail image URL.
array
Acronyms array.
array
Alternative names array.
array
integer
Total number of indexed outputs affiliated with this institution.
integer
Total citation count received.
object
array
array
array
object
object
International metadata object.
string
ISO last updated timestamp.
string
ISO creation date timestamp.
object
array
curl -X GET "https://api.hexagraph.in/institutions/HX_I1299303238"
fetch("https://api.hexagraph.in/institutions/HX_I1299303238")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/institutions/HX_I1299303238")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/institutions/HX_I1299303238")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_I1299303238",
"ror": "https://ror.org/01cwqze88",
"name": "National Institutes of Health",
"country": {
"code": "US",
"name": "United States"
},
"type": "government",
"homepage_url": "https://www.nih.gov",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/NIH%202013%20logo%20vertical.svg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/NIH%202013%20logo%20vertical.svg&width=300",
"display_name_acronyms": [
"NIH"
],
"display_name_alternatives": [
"National Institutes of Health",
"US National Institutes of Health",
"United States National Institutes of Health"
],
"repositories": [
{
"id": "HX_S2764455111",
"name": "PubMed Central"
}
],
"outputs_count": 274453,
"cited_by_count": 70225412,
"summary_stats": {
"2yr_mean_citedness": 6.7651082522748665,
"h_index": 2424,
"i10_index": 530125
},
"associated_institutions": [
{
"id": "HX_I1299022934",
"name": "United States Department of Health and Human Services",
"relationship": "parent"
}
],
"counts_by_year": [
{
"year": 2026,
"outputs_count": 6111,
"oa_outputs_count": 5262,
"cited_by_count": 1401
},
{
"year": 2025,
"outputs_count": 6288,
"oa_outputs_count": 5230,
"cited_by_count": 25042
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320332161",
"outputs_count": 1793561
},
{
"role": "institution",
"id": "HX_I1299303238",
"outputs_count": 274453
}
],
"geo": {
"city": "Bethesda",
"geonames_city_id": "4348599",
"region": "Maryland",
"country_code": "US",
"country": "United States",
"latitude": 38.98067,
"longitude": -77.10026
},
"international": {},
"updated_date": "2026-08-05T05:59:45",
"created_date": "2016-06-24T00:00:00",
"ids": {
"grid": "grid.94365.3d",
"wikipedia": "http://en.wikipedia.org/wiki/National_Institutes_of_Health",
"wikidata": null
},
"topics": [
{
"id": "HX_T11020",
"name": "Immune Cell Function and Interaction",
"count": 9779,
"share": 0.0268975
},
{
"id": "HX_T10031",
"name": "T-cell and B-cell Immunology",
"count": 7710,
"share": 0.0267649
}
]
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Institution with ID HX_I9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/institutions/HX_I1299303238"
fetch("https://api.hexagraph.in/institutions/HX_I1299303238")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/institutions/HX_I1299303238")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/institutions/HX_I1299303238")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_I1299303238",
"ror": "https://ror.org/01cwqze88",
"name": "National Institutes of Health",
"country": {
"code": "US",
"name": "United States"
},
"type": "government",
"homepage_url": "https://www.nih.gov",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/NIH%202013%20logo%20vertical.svg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/NIH%202013%20logo%20vertical.svg&width=300",
"display_name_acronyms": [
"NIH"
],
"display_name_alternatives": [
"National Institutes of Health",
"US National Institutes of Health",
"United States National Institutes of Health"
],
"repositories": [
{
"id": "HX_S2764455111",
"name": "PubMed Central"
}
],
"outputs_count": 274453,
"cited_by_count": 70225412,
"summary_stats": {
"2yr_mean_citedness": 6.7651082522748665,
"h_index": 2424,
"i10_index": 530125
},
"associated_institutions": [
{
"id": "HX_I1299022934",
"name": "United States Department of Health and Human Services",
"relationship": "parent"
}
],
"counts_by_year": [
{
"year": 2026,
"outputs_count": 6111,
"oa_outputs_count": 5262,
"cited_by_count": 1401
},
{
"year": 2025,
"outputs_count": 6288,
"oa_outputs_count": 5230,
"cited_by_count": 25042
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320332161",
"outputs_count": 1793561
},
{
"role": "institution",
"id": "HX_I1299303238",
"outputs_count": 274453
}
],
"geo": {
"city": "Bethesda",
"geonames_city_id": "4348599",
"region": "Maryland",
"country_code": "US",
"country": "United States",
"latitude": 38.98067,
"longitude": -77.10026
},
"international": {},
"updated_date": "2026-08-05T05:59:45",
"created_date": "2016-06-24T00:00:00",
"ids": {
"grid": "grid.94365.3d",
"wikipedia": "http://en.wikipedia.org/wiki/National_Institutes_of_Health",
"wikidata": null
},
"topics": [
{
"id": "HX_T11020",
"name": "Immune Cell Function and Interaction",
"count": 9779,
"share": 0.0268975
},
{
"id": "HX_T10031",
"name": "T-cell and B-cell Immunology",
"count": 7710,
"share": 0.0267649
}
]
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Institution with ID HX_I9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}